SDL_GamepadSensorEnabled(3)

NAME
SDL_GamepadSensorEnabled - Query whether sensor data reporting is enabled for a gamepad.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_GamepadSensorEnabled(SDL_Gamepad *gamepad, SDL_SensorType type);

FUNCTION PARAMETERS

gamepad
    the gamepad to query.

type
    the type of sensor to query.

RETURN VALUE
Returns true if the sensor is enabled, false otherwise.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SetGamepadSensorEnabled(3)